#include <iostream>

using namespace std;

int duzina,k;
int niz[1000001];
long konacno;


int main()
{
    cin >> duzina>>k;
	if (k == 1) 
	{
		for (int i = 0; i < duzina; i++)
		{
			cin >> niz[i];

			konacno += niz[i] * (duzina - i) * (i + 1);
		}
	}
	else
	{
		for (int i = 0; i < duzina; i++)
		{
			cin >> niz[i];

			konacno += niz[i];
		}
	}
	cout << konacno;
}